/* 
    TowBowlTactics: Strategy game for X11

    Copyright (C) 2002 Pascal Bourut (toweld@rocketmail.com)

    Network part from grrrreg (greg@doodoo.darktech.org)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef NET_CLIENT_H
#define NET_CLIENT_H

#include "Network.h"

class NetClient : public Network {

 public:
  int init_connection(char*,Uint16); // on initialise la connexion cad on assigne le serveur et l'ip
  int init_connection(char*); 
  int init_connection(Uint16); 
  int init_connection(void); 
  int connect(void); // On tente de se connecter au serveur et ip definit par init_connection. Renvoie 0 si raté, 1 sinon
  int close(void); // Pas encore implémenté
  NetClient(void); // Constructeur qui créé la conn avec un port par défaut
  NetClient(Uint16,char*); // Constructeur qui créé la conn avec le port spécifié
  ~NetClient(void);
  char* get_server_address(void); // 
  void set_server_address(char*);
	bool is_connected(void);
 private:
	 char* server_address;
	 bool connected;
};


#endif
